| Visioscan Set SDK Libraries 1.0.28 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
WNavigationSensor Class Reference

`#include <WNavigationSensor.h>`

Inheritance diagram for WNavigationSensor:

## Public Member Functions
| WNavigationSensor ()
| WNavigationSensor (WBaseCommunication^ pcomm)
| ~WNavigationSensor ()
WCommunicationStatus | Initialize () new
| Initializes the object to connect the sensor.
WFilterType | GetFilterType ()
WConfigurationResult | SetFilterType (WFilterType^ pFilterType)
AngularResolution | GetAngularResolution () new
| Gets the angular resolution.
WConfigurationResult | SetAngularResolution (AngularResolution pResolution) new
| Sets the angle resolution. Can be either AngularResolution::ZeroToZeroPointOneAtFourtyHz, AngularResolution::ZeroToZeroPointTwoAtEightyHz, ZeroToZeroPointFiveAtTwentyHz or ZeroToZeroPointZeroTwentyFiveAtTenHz.
DisplayPageIndex | GetDisplayPageIndex ()
| Returns the display page index.
WConfigurationResult | SetDisplayPageIndex (DisplayPageIndex pPageIndex)
| Sets the display page on the given direction.
PageDirection | GetDisplayPageDirection ()
| Returns the display page direction.
WConfigurationResult | SetDisplayPageDirection (PageDirection pPageDirection)
| Sets the display page on the given direction (Accepted values: NORMAL or UPDIDE_DOWN)
DisplayMode | GetDisplayMode ()
| Returns the display mode (values are NORMAL_MODE, ON_MODE or OFF_MODE)
WConfigurationResult | SetDisplayMode (DisplayMode pdisplayMode)
| sets the display mode (Accepted values: Normal, On, Off)
List< List< UInt16 >^> | GetLogoImage ()
| Returns the sensor's logo image.
WConfigurationResult | SetLogoImage (List< List< UInt16 >^>^ logoToFetch)
| Sets the sensor's logo image.
WConfigurationResult | ResetLogoImage ()
| Resets the logo image to its default.
List< unsigned int > | GetWms ()
| Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)
WSensorLeds | GetSensorLeds () new
| Gets the sensor's status led.
WConfigurationResult | SetSensorLeds (WSensorLeds^ pLeds) new
| Sets the sensors leds status led (ON or OFF)
WSensorLamps | GetSensorLamps ()
| Gets the sensor lamps status.
WContaminationStatus | GetContaminationStatus () new
| Gets the contamination status.
WNetworkInformation | GetNetworkInformation ()
| Gets whole data information.
DisplayWakeUpRange | GetDisplayWakeUpRange ()
| Returns the OLED wake up range.
WConfigurationResult | SetDisplayWakeUpRange (DisplayWakeUpRange pWakeupTime)
| Sets the OLED wake up range.
DisplayWakeUpTime | GetDisplayWakeUpTime ()
| Returns the OLED wake up time.
WConfigurationResult | SetDisplayWakeUpTime (DisplayWakeUpTime pWakeupTime)
| Sets the OLED wake up time.
TransmissionStatus | GetMdiTransmissionStatus ()
| Returns the MDI transmission status.
void | ShowDeviceIdentification ()
| Shows the device identification.
Public Member Functions inherited from WRawDataSensor
| WRawDataSensor ()
| WRawDataSensor (WBaseCommunication^ pcomm)
| ~WRawDataSensor ()
WCommunicationStatus | Initialize () override
| Initializes the object to connect the sensor.
void | ResetDevice ()
| Resets the device.
void | RebootDevice ()
| Reboots the device.
WNetworkInformation | GetNetworkInformation ()
| Gets whole data information.
Protocol | GetRawDataExchangeMode ()
| Get the raw data exchange mode.
ScanPacketType | GetDataPacketType ()
| Gets the data packed type.
AngularResolution | GetAngularResolution ()
| Gets the angular resolution.
ScanningDirection | GetScanningDirection ()
| Gets the scanning direction.
WAngleRange | GetAngleRange ()
| Gets the angle range.
unsigned int | GetSkipScan ()
| Gets the skip scan.
unsigned int | GetImmunityLevel ()
| Gets the immunity level.
WContaminationThreshold | GetContaminationThreshold ()
| Gets the contamination threshold.
WContaminationStatus | GetContaminationStatus ()
| Gets the contamination status.
WSoftwareVersion | GetVersion () override
| Gets the sensor version data.
int | GetTemperature ()
| Gets the temperature.
List< WRawDataError^> | GetErrorLog ()
| Gets the error log.
WSensorLeds | GetSensorLeds ()
| Gets the sensor's leds status.
WSensorLamps | GetSensorLamps ()
| Gets the sensor lamps status.
long | GetRuntimeHours ()
| Gets the sensor runtime hours.
String | GetDeviceName ()
| Gets the sensor's name.
FilterStatus | GetFilterStatus ()
| Gets the filter status.
WindowCalibrationStatus | GetWindowCalibrationStatus ()
| Gets the window calibration status.
WConfigurationResult | SetNetworkInformation (WNetworkInformation^ pNetwork)
| Set the overall network information except IP v4 and Port.
WConfigurationResult | SetRawDataExchangeMode (Protocol pProtocol)
| Sets the RAW data exchange mode. Can be either TCP or UDP.
WConfigurationResult | SetDataPacketType (ScanPacketType pPacketType)
| Sets the packet type returned in raw data. Can be either ScanPacketType::Distance or ScanPacketType::DistanceAndIntensity.
WConfigurationResult | SetAngularResolution (AngularResolution pResolution)
| Sets the angle resolution. Can be either AngularResolution::ZeroToZeroPointOneAtFourtyHz or AngularResolution::ZeroToZeroPointTwoAtEightyHz.
WConfigurationResult | SetScanningDirection (ScanningDirection pScanDirection)
| Sets the scanning direction. Can be either ScanningDirection::Clockwise or ScanningDirection::CounterClockwise.
WConfigurationResult | SetAngleRange (WAngleRange^ pAngleRange)
| Sets the Angle range (start and stop)
WConfigurationResult | SetSkipScan (int pSkipScan)
| Sets the skip scan.
WConfigurationResult | SetImmunityLevel (int pImmunityLevel)
| Sets the sensor's immunity level.
WConfigurationResult | SetContaminationThreshold (WContaminationThreshold^ pContaminationThreshold)
| Sets the contamination level threshold for warning and error.
WConfigurationResult | SetSensorLeds (WSensorLeds^ pLeds)
| Sets the sensors external leds status (ON or OFF)
WConfigurationResult | SetDeviceName (String^ pName)
| Sets the sensor's name.
WConfigurationResult | SetFilterStatus (FilterStatus pFilterStatus)
| Sets the device's filter status.
void | StartWindowCalibrationStatus ()
| Starts the window calibration status.
WRawData | RetrieveRawData ()
void | SendMdi ()
| Request the sensor to start sending MDI data to host.
void | StopMdi ()
| Request the sensor to stop sending MDI data to host.

## Additional Inherited Members
Protected Member Functions inherited from WRawDataSensor
WConfigurationResult | toManagedInstance (ConfigurationResult pResult)

## Constructor & Destructor Documentation

## ◆ WNavigationSensor() [1/2]

WNavigationSensor::WNavigationSensor | ( |  | ) |
| inline

## ◆ WNavigationSensor() [2/2]

WNavigationSensor::WNavigationSensor | ( | WBaseCommunication^ | pcomm | ) |
| inline

## ◆ ~WNavigationSensor()

WNavigationSensor::~WNavigationSensor | ( |  | ) |
| inline

## Member Function Documentation

## ◆ GetAngularResolution()

AngularResolution WNavigationSensor::GetAngularResolution | ( |  | ) |
| inline new

Gets the angular resolution.

Returns
  An encapsulation of angle resolution

## ◆ GetContaminationStatus()

WContaminationStatus WNavigationSensor::GetContaminationStatus | ( |  | ) |
| inline new

Gets the contamination status.

Returns
  An integer representing the contamination status

## ◆ GetDisplayMode()

DisplayMode WNavigationSensor::GetDisplayMode | ( |  | ) |
| inline

Returns the display mode (values are NORMAL_MODE, ON_MODE or OFF_MODE)

Returns
  tAn enum giving the display mode

## ◆ GetDisplayPageDirection()

PageDirection WNavigationSensor::GetDisplayPageDirection | ( |  | ) |
| inline

Returns the display page direction.

Returns
  An enum givin the page direction

## ◆ GetDisplayPageIndex()

DisplayPageIndex WNavigationSensor::GetDisplayPageIndex | ( |  | ) |
| inline

Returns the display page index.

Returns
  An enum givin the page index

## ◆ GetDisplayWakeUpRange()

DisplayWakeUpRange WNavigationSensor::GetDisplayWakeUpRange | ( |  | ) |
| inline

Returns the OLED wake up range.

Returns
  Enum of range

## ◆ GetDisplayWakeUpTime()

DisplayWakeUpTime WNavigationSensor::GetDisplayWakeUpTime | ( |  | ) |
| inline

Returns the OLED wake up time.

Returns
  Enum of time

## ◆ GetFilterType()

WFilterType WNavigationSensor::GetFilterType | ( |  | ) |
| inline

## ◆ GetLogoImage()

List< List< UInt16 >^> WNavigationSensor::GetLogoImage | ( |  | ) |
| inline

Returns the sensor's logo image.

Returns
  An ORDERED List of Segments, each segment is a List of unsigned int 16 representing pixels

## ◆ GetMdiTransmissionStatus()

TransmissionStatus WNavigationSensor::GetMdiTransmissionStatus | ( |  | ) |
| inline

Returns the MDI transmission status.

Returns
  On or Off de^pending on the status

## ◆ GetNetworkInformation()

WNetworkInformation WNavigationSensor::GetNetworkInformation | ( |  | ) |
| inline

Gets whole data information.

Returns
  An encapsulated way to group the network information

## ◆ GetSensorLamps()

WSensorLamps WNavigationSensor::GetSensorLamps | ( |  | ) |
| inline

Gets the sensor lamps status.

Returns
  An encapsulation of the sensor's internal lamps status

## ◆ GetSensorLeds()

WSensorLeds WNavigationSensor::GetSensorLeds | ( |  | ) |
| inline new

Gets the sensor's status led.

Returns
  An encapsulation representing the sensor's status leds

## ◆ GetWms()

List< unsigned int > WNavigationSensor::GetWms | ( |  | ) |
| inline

Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)

Returns

## ◆ Initialize()

WCommunicationStatus WNavigationSensor::Initialize | ( |  | ) |
| inline new

Initializes the object to connect the sensor.

## ◆ ResetLogoImage()

WConfigurationResult WNavigationSensor::ResetLogoImage | ( |  | ) |
| inline

Resets the logo image to its default.

Returns
  A configuration result ecpasuplation

## ◆ SetAngularResolution()

WConfigurationResult WNavigationSensor::SetAngularResolution | ( | AngularResolution | pResolution | ) |
| inline new

Sets the angle resolution. Can be either AngularResolution::ZeroToZeroPointOneAtFourtyHz, AngularResolution::ZeroToZeroPointTwoAtEightyHz, ZeroToZeroPointFiveAtTwentyHz or ZeroToZeroPointZeroTwentyFiveAtTenHz.

Parameters

  pResolution |

Returns
  A configuration result encapsulation

## ◆ SetDisplayMode()

WConfigurationResult WNavigationSensor::SetDisplayMode | ( | DisplayMode | pdisplayMode | ) |
| inline

sets the display mode (Accepted values: Normal, On, Off)

Parameters

  pdisplayMode | the display mode enum

Returns
  A configuration result encapsulation

## ◆ SetDisplayPageDirection()

WConfigurationResult WNavigationSensor::SetDisplayPageDirection | ( | PageDirection | pPageDirection | ) |
| inline

Sets the display page on the given direction (Accepted values: NORMAL or UPDIDE_DOWN)

Parameters

  pPageDirection | The page direction

Returns
  A configuration result encapsulation

## ◆ SetDisplayPageIndex()

WConfigurationResult WNavigationSensor::SetDisplayPageIndex | ( | DisplayPageIndex | pPageIndex | ) |
| inline

Sets the display page on the given direction.

Parameters

  pPageIndex | An enum representing the indew to be shown

Returns
  A configuration result encapsulation

## ◆ SetDisplayWakeUpRange()

WConfigurationResult WNavigationSensor::SetDisplayWakeUpRange | ( | DisplayWakeUpRange | pWakeupTime | ) |
| inline

Sets the OLED wake up range.

Parameters

  range | >Enum of range to be set

Returns
  A configuration result encapsulation

## ◆ SetDisplayWakeUpTime()

WConfigurationResult WNavigationSensor::SetDisplayWakeUpTime | ( | DisplayWakeUpTime | pWakeupTime | ) |
| inline

Sets the OLED wake up time.

Parameters

  range | >Enum of time to be set

Returns
  A configuration result encapsulation

## ◆ SetFilterType()

WConfigurationResult WNavigationSensor::SetFilterType | ( | WFilterType^ | pFilterType | ) |
| inline

## ◆ SetLogoImage()

WConfigurationResult WNavigationSensor::SetLogoImage | ( | List< List< UInt16 >^>^ | logoToFetch | ) |
| inline

Sets the sensor's logo image.

Parameters

  pLogoImage | An ORDERED List of Segments, each segment is a List of unsigned int 16 representing pixels

Returns
  A configuration result ecpasuplation

## ◆ SetSensorLeds()

WConfigurationResult WNavigationSensor::SetSensorLeds | ( | WSensorLeds^ | pLeds | ) |
| inline new

Sets the sensors leds status led (ON or OFF)

Parameters

  pLeds | The encapsulation of the leds to be set

Returns
  A configuration result encapsulation

## ◆ ShowDeviceIdentification()

void WNavigationSensor::ShowDeviceIdentification | ( |  | ) |
| inline

Shows the device identification.

The documentation for this class was generated from the following file:

- WNavigationSensor.h